<h3>We present you, '{{ hero.name }}' of age {{ hero.age }}</h3>
<p>{{ hero.description }}</p>
<div *ngIf="hero.sidekicks">
    <h4>Sidekicks:</h4>
    <ul>
        <li *ngIf="hero.sidekicks.length === 0">Ups, this hero has no sidekicks :-(</li>
        <li *ngFor="let sidekick of hero.sidekicks"><a [routerLink]="['sidekick', sidekick.name]">{{sidekick.name}}</a></li>
    </ul>

    <p>Missing sidekick? Add one <a [routerLink]="['sidekick/create']">here</a>.</p>

    <p>Has this hero given up on hope? Click <a [routerLink]="['/heroes']" (click)="removeHero()">here</a> to remove him/her from the list.</p>

</div>

<p *ngIf="!hero.sidekicks">Has this sidekick given up on hope? Click <a class="cursor-pointer" (click)="removeHero()">here</a> to remove him/her from the list.</p>
